Start a run
curl --request POST \
--url https://api.statisfy.com/v1/evaluations/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"case_set_id": "<string>",
"changes": {
"accounts": null,
"assignment": null,
"autonomy": null,
"channels": null,
"description": "<string>",
"knowledge_base_ids": null,
"name": null,
"persona": null,
"skill_keys": null
},
"config": {},
"label": "<string>",
"version_id": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/evaluations/runs"
payload = {
"case_set_id": "<string>",
"changes": {
"accounts": None,
"assignment": None,
"autonomy": None,
"channels": None,
"description": "<string>",
"knowledge_base_ids": None,
"name": None,
"persona": None,
"skill_keys": None
},
"config": {},
"label": "<string>",
"version_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
case_set_id: '<string>',
changes: {
accounts: null,
assignment: null,
autonomy: null,
channels: null,
description: '<string>',
knowledge_base_ids: null,
name: null,
persona: null,
skill_keys: null
},
config: {},
label: '<string>',
version_id: '<string>'
})
};
fetch('https://api.statisfy.com/v1/evaluations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/evaluations/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'case_set_id' => '<string>',
'changes' => [
'accounts' => null,
'assignment' => null,
'autonomy' => null,
'channels' => null,
'description' => '<string>',
'knowledge_base_ids' => null,
'name' => null,
'persona' => null,
'skill_keys' => null
],
'config' => [
],
'label' => '<string>',
'version_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/evaluations/runs"
payload := strings.NewReader("{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/evaluations/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/evaluations/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"case_set_id": "<string>",
"id": "<string>",
"status": "<string>",
"worker_id": "<string>",
"config_snapshot": {},
"error": "<string>",
"finished_at": "<string>",
"judged_by": "<string>",
"label": "<string>",
"started_at": "<string>",
"started_by": "<string>",
"totals": {},
"untested": [
"<string>"
]
}evaluations
Start a run
Queues a run of one set. Optionally send a config, changes or a version_id to run with instead of the worker’s saved settings — it is recorded against the run and never written to the worker, so tuning cannot change live behaviour. Each case is a full agent session, so a run takes minutes: poll GET /v1/evaluations/runs/ for its status. Nothing the worker does in a run is sent, saved or queued.
POST
/
v1
/
evaluations
/
runs
Start a run
curl --request POST \
--url https://api.statisfy.com/v1/evaluations/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"case_set_id": "<string>",
"changes": {
"accounts": null,
"assignment": null,
"autonomy": null,
"channels": null,
"description": "<string>",
"knowledge_base_ids": null,
"name": null,
"persona": null,
"skill_keys": null
},
"config": {},
"label": "<string>",
"version_id": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/evaluations/runs"
payload = {
"case_set_id": "<string>",
"changes": {
"accounts": None,
"assignment": None,
"autonomy": None,
"channels": None,
"description": "<string>",
"knowledge_base_ids": None,
"name": None,
"persona": None,
"skill_keys": None
},
"config": {},
"label": "<string>",
"version_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
case_set_id: '<string>',
changes: {
accounts: null,
assignment: null,
autonomy: null,
channels: null,
description: '<string>',
knowledge_base_ids: null,
name: null,
persona: null,
skill_keys: null
},
config: {},
label: '<string>',
version_id: '<string>'
})
};
fetch('https://api.statisfy.com/v1/evaluations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/evaluations/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'case_set_id' => '<string>',
'changes' => [
'accounts' => null,
'assignment' => null,
'autonomy' => null,
'channels' => null,
'description' => '<string>',
'knowledge_base_ids' => null,
'name' => null,
'persona' => null,
'skill_keys' => null
],
'config' => [
],
'label' => '<string>',
'version_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/evaluations/runs"
payload := strings.NewReader("{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/evaluations/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/evaluations/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"case_set_id\": \"<string>\",\n \"changes\": {\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"knowledge_base_ids\": null,\n \"name\": null,\n \"persona\": null,\n \"skill_keys\": null\n },\n \"config\": {},\n \"label\": \"<string>\",\n \"version_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"case_set_id": "<string>",
"id": "<string>",
"status": "<string>",
"worker_id": "<string>",
"config_snapshot": {},
"error": "<string>",
"finished_at": "<string>",
"judged_by": "<string>",
"label": "<string>",
"started_at": "<string>",
"started_by": "<string>",
"totals": {},
"untested": [
"<string>"
]
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
201 - application/json
Successful Response
Was this page helpful?